POST api/persons/search/{start}/{length}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| start | string |
Required |
|
| length | string |
Required |
Body Parameters
PersonSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Name | string |
None. |
|
| Firstname | string |
None. |
|
| Lastname | string |
None. |
|
| Address | string |
None. |
|
| Postcode | string |
None. |
|
| City | string |
None. |
|
| Country | string |
None. |
|
| ShortUnique | string |
None. |
|
| string |
None. |
||
| Telephone | string |
None. |
|
| InCampaign | string |
None. |
|
| UpdatedFrom | date |
None. |
|
| UpdatedTo | date |
None. |
|
| LastBuyFrom | date |
None. |
|
| LastBuyTo | date |
None. |
|
| InActiveCampaign | boolean |
None. |
|
| RecentlyBought | boolean |
None. |
|
| sortBy | string |
None. |
|
| EsecoCustomerNumber | string |
None. |
|
| PersonalNumber | string |
None. |
|
| Products | PersonSearchProductsDto |
None. |
|
| Campaigns | PersonSearchCampaignsDto |
None. |
|
| IsStop | boolean |
None. |
|
| IsDiseased | boolean |
None. |
|
| IsFailedEmail | boolean |
None. |
|
| IsFailedSms | boolean |
None. |
|
| SearchOnlyPersons | boolean |
None. |
|
| Tag | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"address": "sample string 4",
"postcode": "sample string 5",
"city": "sample string 6",
"country": "sample string 7",
"shortUnique": "sample string 8",
"email": "sample string 9",
"telephone": "sample string 10",
"inCampaign": "sample string 11",
"updatedFrom": "2026-09-08T03:13:53.4402434+02:00",
"updatedTo": "2026-09-08T03:13:53.4402434+02:00",
"lastBuyFrom": "2026-09-08T03:13:53.4402434+02:00",
"lastBuyTo": "2026-09-08T03:13:53.4402434+02:00",
"inActiveCampaign": true,
"recentlyBought": true,
"sortBy": "sample string 12",
"esecoCustomerNumber": "sample string 13",
"personalNumber": "sample string 14",
"products": {
"products": [
"4e23ee16-d65c-40ca-ab01-c7352131520e",
"01f1a9f6-09f4-4a7f-8a59-8a1a33c7b953"
],
"not": true,
"from": "2026-09-08T03:13:53.4402434+02:00",
"to": "2026-09-08T03:13:53.4402434+02:00"
},
"campaigns": {
"campaigns": [
"2aff98e7-6ee2-4eb8-9188-1ccb63c237a5",
"29bb3c12-16bd-41a5-9ea6-8ed86f9a40cd"
],
"not": true,
"from": "2026-09-08T03:13:53.4402434+02:00",
"to": "2026-09-08T03:13:53.4402434+02:00"
},
"isStop": true,
"isDiseased": true,
"isFailedEmail": true,
"isFailedSms": true,
"searchOnlyPersons": true,
"tag": "sample string 15"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.